Bug 1574669 - lsof lost option M
Summary: lsof lost option M
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: lsof
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jan Rybar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-03 19:51 UTC by Peter Bieringer
Modified: 2018-07-06 16:43 UTC (History)
1 user (show)

Fixed In Version: lsof-4.89-9.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-06 16:43:56 UTC
Type: Bug


Attachments (Terms of Use)

Description Peter Bieringer 2018-05-03 19:51:20 UTC
Description of problem:
A script using lsof to find orphan files is no longer working


Version-Release number of selected component (if applicable):
lsof-4.89-8.fc28.x86_64


How reproducible:
always

Steps to Reproduce:
1. lsof  +L -n -M -w 

Actual results:

lsof: illegal option character: M
lsof 4.89
 latest revision: ftp://lsof.itap.purdue.edu/pub/tools/unix/lsof/
 latest FAQ: ftp://lsof.itap.purdue.edu/pub/tools/unix/lsof/FAQ
 latest man page: ftp://lsof.itap.purdue.edu/pub/tools/unix/lsof/lsof_man
 usage: [-?abhKlnNoOPRtUvVX] [+|-c c] [+|-d s] [+D D] [+|-E] [+|-e s] [+|-f[gG]]
 [-F [f]] [-g [s]] [-i [i]] [+|-L [l]] [+m [m]] [-o [o]] [-p s]
 [+|-r [t]] [-s [p:s]] [-S [t]] [-T [t]] [-u s] [+|-w] [-x [fl]] [-Z [Z]] [--] [names]
Use the ``-h'' option to get more help information.


Expected results:
Working like in FC27

Additional info:

Man page still mention +|-M

     lsof [ -?abChKlnNOPRtUvVX ] [ -A A ] [ -c c ] [ +c c ] [ +|-d d ] [ +|-D D ] [ +|-e s ] [ +|-E ] [ +|-f [cfgGn] ] [ -F [f] ] [ -g [s] ] [ -i [i] ] [ -k k ] [ +|-L [l] ] [ +|-m m ] [ +|-M ] [ -o [o] ] [ -p s ] [
       +|-r [t[m<fmt>]] ] [ -s [p:s] ] [ -S [t] ] [ -T [t] ] [ -u s ] [ +|-w ] [ -x [fl] ] [ -z [z] ] [ -Z [Z] ] [ -- ] [names]

      +|-M     Enables (+) or disables (-) the reporting of portmapper registrations for local TCP, UDP and UDPLITE ports

Comment 1 Peter Schiffer 2018-05-22 14:51:31 UTC
Thanks for reporting the issue. Glibc in 2.26 deprecated Sun RPC, so I've migrated lsof to tirpc library in rawhide. Could you test it out?

sudo dnf install https://kojipkgs.fedoraproject.org/packages/lsof/4.91/1.fc29/x86_64/lsof-4.91-1.fc29.x86_64.rpm

You can try it out even on F28, there are no additional dependencies.

Thanks,

peter

Comment 2 Fedora Update System 2018-07-03 14:44:44 UTC
lsof-4.89-9.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-3af44f1520

Comment 3 Fedora Update System 2018-07-04 18:20:35 UTC
lsof-4.89-9.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-3af44f1520

Comment 4 Fedora Update System 2018-07-06 16:43:56 UTC
lsof-4.89-9.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.